Bug 102904 - Calc crashes when filtering dates
Summary: Calc crashes when filtering dates
Status: RESOLVED DUPLICATE of bug 101165
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.5.2 release
Hardware: All All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-01 02:56 UTC by Robert Gonzalez MX
Modified: 2016-10-30 23:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test file with dates (25.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-10-01 03:00 UTC, Robert Gonzalez MX
Details
Screenshots (197.18 KB, application/vnd.oasis.opendocument.text)
2016-10-01 03:16 UTC, Robert Gonzalez MX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Gonzalez MX 2016-10-01 02:56:46 UTC
User-Agent:       Mozilla/5.0 (Windows NT 10.0; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
Build Identifier: Version: 5.1.5.2 Build ID: 7a864d8825610a8c07cfc3bc01dd4fce6a9447e5

Hi.

When the filter is active in a spreadsheet and the field contents is a date, after applying a filter and trying to select “all”, Calc crashes.



Reproducible: Always

Steps to Reproduce:
Steps to reproduce:
Open test file provided
Open the filtering pane in field7
Select option “Not Empty”
The filter is applied ok
Open the filtering pane again
Select option “All”, at the bottom
Calc crashes.

Actual Results:  
This behavior only happens with columns that have dates, and not with other types of data like time or numbers.

Note that if the option “2016” is selected, the “All” option also is activated, and Calc would not crash, so this serves for a workaround.


This is related to bug 99422 for LO 5.2 wich was fixed


Reset User Profile?No
Comment 1 Robert Gonzalez MX 2016-10-01 03:00:20 UTC
Created attachment 127754 [details]
Test file with dates
Comment 2 Robert Gonzalez MX 2016-10-01 03:16:18 UTC
Created attachment 127756 [details]
Screenshots
Comment 3 m.a.riosv 2016-10-01 09:52:51 UTC
Hi @Rober,

reproducible with
Win10x64
Version: 5.1.5.2 (x64)
Build ID: 7a864d8825610a8c07cfc3bc01dd4fce6a9447e5
CPU Threads: 1; OS Version: Windows 6.19; UI Render: default; 
Locale: es-ES (es_ES); Calc: CL

not reproducible
Win10x64
Version: 5.2.2.2 (x64)
Build ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
Locale: es-ES (es_ES); Calc: CL

but even it is a crash, no reproducible with newer versions.

Happens only with date fields, not i.e. with time fields.
Comment 4 Julien Nabet 2016-10-02 09:03:02 UTC
Robert: following Mariosv's comment, could you give a try to brand new 5.2.2?
Comment 5 Robert Gonzalez MX 2016-10-02 14:18:42 UTC
Not reproducible with Version: 5.2.2.2 (x86)
Build ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; 
Locale: es-MX (es_MX); Calc: group
on Windows 10 and other PC with WinXP SP3
Comment 6 Jean-Baptiste Faure 2016-10-02 18:46:16 UTC
this bug has been confirmed -> set back to NEW.

Best regards. JBF
Comment 7 Jean-Baptiste Faure 2016-10-02 18:48:22 UTC
From French QA ML : reproduced on Linux too.

Best regards. JBF
Comment 8 Jouni Järvinen 2016-10-13 14:55:49 UTC
Not reproducible on 5.1.4.1 (x64) on Win7 SP1 x64.
Comment 9 Jouni Järvinen 2016-10-13 14:59:02 UTC
(In reply to Jouni Järvinen from comment #8)
> Not reproducible on 5.1.4.1 (x64) on Win7 SP1 x64.

Build ID: a4d48e4ff0e9f93e78b6356ca7b0b6303e360356
Comment 10 Julien Nabet 2016-10-13 15:04:40 UTC
Jean-Baptiste: 

1) Since the bug appears in 5.1 branch, perhaps just in 5.1.5 (following Jouni's comment, number 8) and not in 5.2.2

2) 5.1 branch is EOL or will be soon (see https://wiki.documentfoundation.org/ReleasePlan/5.1)

=> may we put this one to WFM or do you have information it's reproduced in 5.2 branch?
Comment 11 Jean-Baptiste Faure 2016-10-16 19:53:09 UTC
My comment in bug 99422 : 
Could it be possible that bug 102904 is a duplicate of this one but for version 5.1.5 ? If this is the case could it be possible to backport the fix to 5.1.6 ?

Best regards. JBF
Comment 12 m.a.riosv 2016-10-17 17:51:13 UTC
Looks fine close this one as duplicate of bug#99422, because besides it's have been already asked for backport in that bug.
Comment 13 Robert Gonzalez MX 2016-10-30 23:08:17 UTC
I have tested this bug with Version: 5.1.6.2
Build ID: 07ac168c60a517dba0f0d7bc7540f5afa45f0909
CPU Threads: 8; OS Version: Windows 6.2; UI Render: default; 
Locale: es-MX (es_MX); Calc: group
on Windows XP SP3 and Windows 10

and it seems to be corrected, maybe because of the fix of bug 101165

I leave this for some one else to confirm
Comment 14 m.a.riosv 2016-10-30 23:42:58 UTC
Seems to work with
Version: 5.1.6.1 (x64)
Build ID: f3e25ec0581f5012f54d8810dcddd5824f4ee374
CPU Threads: 1; OS Version: Windows 6.19; UI Render: default; 
Locale: es-ES (es_ES); Calc: CL

*** This bug has been marked as a duplicate of bug 101165 ***